searchNodes=[{"doc":"Implementation of JSONPointer. A JSONpointer URI is converted into an internal term representation and this representation may be used with resolve!/2 to parse a decoded JSON term. See: https://www.rfc-editor.org/rfc/rfc6901 for the specification. Note: Do not rely on the private internal implementation of JSON, it may change in the future.","ref":"JsonPointer.html","title":"JsonPointer","type":"module"},{"doc":"converts a uri to a JSONJsonPointer iex&gt; JsonPointer . from_uri ( &quot;/&quot; ) # the root-only case [ ] iex&gt; JsonPointer . from_uri ( &quot;/foo/bar&quot; ) [ &quot;foo&quot; , &quot;bar&quot; ] iex&gt; JsonPointer . from_uri ( &quot;/foo~0bar/baz&quot; ) [ &quot;foo~bar&quot; , &quot;baz&quot; ] iex&gt; JsonPointer . from_uri ( &quot;/currency/%E2%82%AC&quot; ) [ &quot;currency&quot; , &quot;€&quot; ]","ref":"JsonPointer.html#from_uri/1","title":"JsonPointer.from_uri/1","type":"function"},{"doc":"resolves a JSONPointer given a pointer and some json data iex&gt; JsonPointer . resolve ( true , &quot;/&quot; ) { :ok , true } iex&gt; JsonPointer . resolve ( %{ &quot;foo~bar&quot; =&gt; &quot;baz&quot; } , &quot;/foo~0bar&quot; ) { :ok , &quot;baz&quot; } iex&gt; JsonPointer . resolve ( %{ &quot;€&quot; =&gt; [ &quot;quux&quot; , &quot;ren&quot; ] } , JsonPointer . from_uri ( &quot;/%E2%82%AC/1&quot; ) ) { :ok , &quot;ren&quot; }","ref":"JsonPointer.html#resolve/2","title":"JsonPointer.resolve/2","type":"function"},{"doc":"resolves a JSONPointer given a pointer and some json data iex&gt; JsonPointer . resolve! ( true , &quot;/&quot; ) true iex&gt; JsonPointer . resolve! ( %{ &quot;foo~bar&quot; =&gt; &quot;baz&quot; } , &quot;/foo~0bar&quot; ) &quot;baz&quot; iex&gt; JsonPointer . resolve! ( %{ &quot;€&quot; =&gt; [ &quot;quux&quot; , &quot;ren&quot; ] } , JsonPointer . from_uri ( &quot;/%E2%82%AC/1&quot; ) ) &quot;ren&quot;","ref":"JsonPointer.html#resolve!/2","title":"JsonPointer.resolve!/2","type":"function"},{"doc":"creates a JSONPointer to its URI equivalent. options :authority prepends a context to the uri. iex&gt; JsonPointer . to_uri ( [ &quot;foo&quot; , &quot;bar&quot; ] ) &quot;/foo/bar&quot; iex&gt; JsonPointer . to_uri ( [ &quot;foo~bar&quot; , &quot;baz&quot; ] ) &quot;/foo~0bar/baz&quot; iex&gt; JsonPointer . to_uri ( [ &quot;currency&quot; , &quot;€&quot; ] ) &quot;/currency/%E2%82%AC&quot; iex&gt; JsonPointer . to_uri ( [ ] , authority : &quot;foo&quot; ) &quot;foo#/&quot;","ref":"JsonPointer.html#to_uri/2","title":"JsonPointer.to_uri/2","type":"function"},{"doc":"appends information to the JsonPointer structure. Can take either a url path-alike or a list of traversals. iex&gt; ptr = JsonPointer . from_uri ( &quot;/foo/bar&quot; ) iex&gt; ptr |&gt; JsonPointer . traverse ( &quot;baz&quot; ) |&gt; JsonPointer . to_uri &quot;/foo/bar/baz&quot; iex&gt; ptr |&gt; JsonPointer . traverse ( &quot;baz/quux&quot; ) |&gt; JsonPointer . to_uri &quot;/foo/bar/baz/quux&quot; iex&gt; ptr |&gt; JsonPointer . traverse ( [ &quot;baz&quot; , &quot;quux&quot; ] ) |&gt; JsonPointer . to_uri &quot;/foo/bar/baz/quux&quot;","ref":"JsonPointer.html#traverse/2","title":"JsonPointer.traverse/2","type":"function"},{"doc":"","ref":"JsonPointer.html#t:json/0","title":"JsonPointer.json/0","type":"type"},{"doc":"","ref":"JsonPointer.html#t:t/0","title":"JsonPointer.t/0","type":"opaque"}]